Advertisement:

Author Topic: PHP and MySQL Versison for SMF  (Read 14779 times)

Offline setec

  • Semi-Newbie
  • *
  • Posts: 86
PHP and MySQL Versison for SMF
« on: February 27, 2004, 02:15:25 AM »
Sorry if this question has already been asked.

I am waiting for my email with instructions to download the SMF Beta 4. I just became a charter member.

I use YaBB Gold 1 Service Pack 1.3.1

If I upgrade to YaBB SE, I see I need (from their website)

MySQL 3.23
PHP 4.1.0

However, on my hosting server, I only have

PHP is at v4.0.6 and was also patched with the latest security patch.

MySQL is at v3.23.33

Last updated: 12-21-03


Now, I am emailing my hosting company (aitcom.net) to see if they updated PHP to 4.1.0 and forgot to update their website.

But this begs the question, does SMF have the same minimum system requirements as YaBB SE as far as PHP and MySQL are concerned?

Thank you in advance for any replies.

Offline Gobalopper

  • SMF Friend
  • Sophist Member
  • *
  • Posts: 1,132
  • Gender: Male
  • I Like Dirt
    • FED2k
Re: PHP and MySQL Versison for SMF
« Reply #1 on: February 27, 2004, 02:16:24 AM »
Nope SMF needs at least 4.1.0 or greater.

Offline setec

  • Semi-Newbie
  • *
  • Posts: 86
Re: PHP and MySQL Versison for SMF
« Reply #2 on: February 27, 2004, 02:50:12 AM »
Thanks. Appreciate it.

Offline [Unknown]

  • SMF Friend
  • SMF Master
  • *
  • Posts: 36,102
  • Gender: Male
Re: PHP and MySQL Versison for SMF
« Reply #3 on: February 27, 2004, 03:27:43 AM »
PHP must be 4.1.0, but I really would recommend 4.3.0 or higher.

MySQL must be 3.23.4, (you meet this one fine...) but I would strongly recommend MySQL 4.0.x.

-[Unknown]

Offline setec

  • Semi-Newbie
  • *
  • Posts: 86
Re: PHP and MySQL Versison for SMF
« Reply #4 on: February 27, 2004, 04:28:34 AM »
Found PHP version to be 4.3.2 and MySQL to be 3.23.47

I'll check if they can upgrade to MySQL 4.0.x

Thanks.

Offline GameDemand

  • Semi-Newbie
  • *
  • Posts: 82
  • Gender: Male
  • ...beats workin' in a cubicle
    • GameDemand
Re: PHP and MySQL Versison for SMF
« Reply #5 on: March 05, 2004, 01:36:03 PM »
I guess the big question is what we may lose if we don't have the latest recommended versions.  There are some major repurcussions if you go with the latest MYSQL for instance and some other software packages may cease to fuction (from what I can tell) since they changed important things in the latest Rev.

I'm running:
php 4.2.2
mysql 3.23.58

I do understand encryption has changed in mysql but hopefully it is backwards compatible.  What might we miss out in SMF if we are running earlier (but compatible) versions?
-GameDemand
www.gamedemand.com
(under construction)

Offline Peter Duggan

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 4,664
  • Gender: Male
    • Peat Stack or Pete's Tack?
Re: PHP and MySQL Versison for SMF
« Reply #6 on: March 05, 2004, 04:30:37 PM »
My understanding is that it's more a case of what it's optimised for (performance wise) than what you'll 'miss'.

Offline [Unknown]

  • SMF Friend
  • SMF Master
  • *
  • Posts: 36,102
  • Gender: Male
Re: PHP and MySQL Versison for SMF
« Reply #7 on: March 05, 2004, 04:38:04 PM »
You'll lose some performance, and you won't be able to use "queryless URLs" with those version numbers.

-[Unknown]